<?php
/*
=====================================================
 DataLife Engine v10.3
-----------------------------------------------------
 Persian support site: http://datalifeengine.ir
-----------------------------------------------------
 Copyright (c) 2006-2014, All rights reserved.
=====================================================
 File name: farsi.php
=====================================================
*/

require_once ENGINE_DIR . "/classes/jdate.php";

function fatotranslit($var, $lower, $punkt) {
	if ( is_array($var) ) return "";
	
	$var = trim( strip_tags( $var ) );

	$var = str_replace( array( " ", ".", "\"", "'", ">", "<", ":" ), "-", $var );

	$var = str_ireplace( ".php", "", $var );
	$var = str_ireplace( ".php", ".ppp", $var );
	
	if( strlen( $var ) > 200 ) {
		
		$var = substr( $var, 0, 200 );
		
		if( ($temp_max = strrpos( $var, '-' )) ) $var = substr( $var, 0, $temp_max );
	
	}
	
	return $var;
}

?>